petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecWhichBetweenOrEqual

Creates an index set containing the indices where VecLow <= V <= VecHigh

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecWhichBetweenOrEqual(Vec VecLow, Vec V, Vec VecHigh, IS * S)

Collective on S

### Input Parameters

| VecLow | - lower bound
| V | - Vector to compare
| VecHigh | - higher bound

### OutputParameter

S -The index set containing the indices i where veclow[i] <= v[i] <= vechigh[i]

### Level

advanced

### Location

src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages